<template>
  <div class="app-container">
    <el-tabs v-model="vectory" type="border-card" @tab-click="changTab">
      <el-tab-pane label="运营端数据" name="list">
        <list v-if="vectory === 'list'"/>
      </el-tab-pane>
      <el-tab-pane label="企业端数据" name="listEm">
        <ListEm v-if="vectory === 'listEm'"/>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>
<style>
.el-table .warning-row {
  background: oldlace;
}
</style>
<script>
import Pagination from '@/components/Pagination' // 通过 el-pagination二次打包
import waves from '@/directive/waves'
import List from '../../safetyOperationRegulations/components/list.vue'
import ListEm from './listEm.vue'
export default {
  components: { List, Pagination, ListEm },
  directives: { waves },
  data() {
    return {
      vectory: 'list'
    }
  },
  created() {
  },
  methods: {
    changTab(title) {
      console.log(title.label)
      if (title.label === '运营端数据') { this.vectory = 'list' }
      if (title.label === '企业端数据') { this.vectory = 'listEm' }
    }
  }
}
</script>
